﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.Printing;

namespace WindowsFormsApplication251
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            for (int i = 0; i < 4; i++)
            {
                ultraCalendarInfo1.Appointments.Add(DateTime.Today, DateTime.Today.AddHours(24), i.ToString());
            }

            using (UltraSchedulePrintDocument uspd = new UltraSchedulePrintDocument())
            {
                UltraPrintPreviewDialog previo = new UltraPrintPreviewDialog();
                previo.Document = uspd;
                uspd.CalendarInfo = ultraCalendarInfo1;
                uspd.CalendarLook = ultraCalendarLook1;
                uspd.TemplateDayView = ultraDayView1;
                uspd.PrintStyle = SchedulePrintStyle.Daily;
                uspd.StartTime = new TimeSpan(0, 0, 1);
                uspd.EndTime = new TimeSpan(23, 59, 59);
                uspd.MaximumPagesPerDay = 2;
                previo.ShowDialog();
            }
        }        
    }
}
